Bug 19802 - Move Selenium code to its own module
Summary: Move Selenium code to its own module
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19243
  Show dependency treegraph
 
Reported: 2017-12-12 22:15 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19802: Move Selenium code to t::lib::Selenium (8.49 KB, patch)
2017-12-12 22:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19802: Add stack trace to ease debugging (1.20 KB, patch)
2017-12-26 17:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19802: [DO NOT PUSH] Generate screentshots (1.14 KB, patch)
2017-12-26 17:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19802: Move Selenium code to t::lib::Selenium (8.53 KB, patch)
2018-01-19 02:53 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19802: Add stack trace to ease debugging (1.24 KB, patch)
2018-01-19 02:53 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-12 22:15:02 UTC
To make it reusable easily
Comment 1 Jonathan Druart 2017-12-12 22:16:53 UTC
Created attachment 69756 [details] [review]
Bug 19802: Move Selenium code to t::lib::Selenium

To make it reusable easily.

Test plan:
The basic_workflow.t tests should still pass after this change.
Comment 2 Jonathan Druart 2017-12-26 17:43:35 UTC
Created attachment 70158 [details] [review]
Bug 19802: Add stack trace to ease debugging
Comment 3 Jonathan Druart 2017-12-26 17:43:40 UTC
Created attachment 70159 [details] [review]
Bug 19802: [DO NOT PUSH] Generate screentshots

This needs to be improved, but let as it for now.
Comment 4 M. Tompsett 2018-01-19 02:53:07 UTC
Created attachment 70733 [details] [review]
Bug 19802: Move Selenium code to t::lib::Selenium

To make it reusable easily.

Test plan:
The basic_workflow.t tests should still pass after this change.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 M. Tompsett 2018-01-19 02:53:09 UTC
Created attachment 70734 [details] [review]
Bug 19802: Add stack trace to ease debugging

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 M. Tompsett 2018-01-19 02:53:47 UTC
prove before and after both pass, as expected. Code eyeballs well enough.
Comment 7 Jonathan Druart 2018-02-13 19:55:54 UTC
I am skipping QA, we need selenium tests to catch regressions.
Comment 8 Jonathan Druart 2018-02-13 19:56:03 UTC
Patches pushed to master for 18.05